︠ea17f44e-27ee-4f81-a458-47a7dc0ffeb0︠


︡302515db-297c-45bf-8d0c-dab8fed0b694︡{"html": "<h1>Introdu&ccedil;&atilde;o ao Sagemath</h1>\n<p>Obter o sagemath:</p>\n<p><a href=\"http://www.sagemath.org/\">http://www.sagemath.org/</a></p>\n<p>Acesso &agrave; cloud:</p>\n<p><a href=\"https://cloud.sagemath.com/\">https://cloud.sagemath.com/</a></p>\n<p>Para c&aacute;lculos pontuais:</p>\n<p>http://sagecell.sagemath.org/</p>"}︡
︠e3e198d6-1841-4653-90b7-599279dfc4d2︠
L=[1..10]
L
︡92c3aac3-6adf-4692-beea-78d9db86237e︡{"stdout":"[1, 2, 3, 4, 5, 6, 7, 8, 9, 10]\n"}︡
︠7e9ddebe-be44-4446-aba1-0b1ef6c49095︠
[n for n in range(0,10)]
︡fe94f577-b2e9-4337-9cb9-180779348f66︡{"stdout": "[0, 1, 2, 3, 4, 5, 6, 7, 8, 9]"}︡
︠f1e1d64e-dcef-4964-ad74-c2c7879c5bb9︠
[n for n in (0..10)]
︡339ffffb-903f-43d0-affa-6a1d482a603f︡{"stdout": "[0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10]"}︡
︠9e00932f-c331-4996-a6e2-93ed1a8ae649︠
for n in L:
    print 2*n
︡4a6885c9-1a3a-4e36-8d46-80734bb24850︡{"stdout": "2\n4\n6\n8\n10\n12\n14\n16\n18\n20"}︡
︠5d3192f9-4d4e-4636-88dd-30c0a89ecaef︠
[2*n for n in L]
︡74d34526-5a2d-4359-b40d-c139a2fa0070︡{"stdout": "[2, 4, 6, 8, 10, 12, 14, 16, 18, 20]"}︡
︠7d0d051c-045f-435e-aa3f-df9cb52d31e1︠
for n in range(10,20):
    if not(n%4 == 2):
        print n
︡a692067b-17c7-410b-8adb-44555b355591︡
︠7e809300-e7a5-4e4f-b3e7-47ecd3519401︠
[n for n in range(10,20) if not(n%4==2)]
︡9690fb48-5db7-4920-bf5c-5e727c57e9a9︡{"stdout": "[11, 12, 13, 15, 16, 17, 19]"}︡
︠58266d42-b916-423a-a695-49a824d03bcf︠
L=[]; k=1 # L e' a lista vazia
while k<=10:
    L=L+[2*k]
    k+=1
L
︡ae7d1a84-2c88-48d4-a97a-f18f1374fae1︡{"stdout": "[2, 4, 6, 8, 10, 12, 14, 16, 18, 20]"}︡
︠64d334dd-cd06-41dc-a5ed-39b65d8ca78e︠
S=0 ; n=10
for k in [1..n] :
    S = S+(2*k)*(2*k+1)
S
︡eb54bcf5-d9ec-4ed9-84be-79f1fd1e43ee︡{"stdout": "1650"}︡
︠b128ed94-9087-469c-a45e-e947dca62205︠
def somaDuarte(n):
    S=0 ;
    for k in [1..n] :
        S = S+(2*k)*(2*k+1)
    return S
︡5c7a8a5f-fee2-42ca-90ab-9a2e14e54ecf︡
︠3c0e5144-e143-46da-95c2-b748ab026265︠
somaDuarte(10)


var('n k') ;
res = sum(2*k*(2*k+1),k,1,n)
res
︡dbbb03a6-abfc-42e8-96bb-7c306d37b3de︡{"stdout":"1650\n"}︡{"stdout":"(n, k)\n"}︡{"stdout":"4/3*n^3 + 3*n^2 + 5/3*n\n"}︡
︠caa4f7f0-d96d-4d18-b680-96dc718bc4de︠
pretty_print(res)
︡71a8469e-92d5-4390-ad7e-3f8d034ed913︡{"tex": {"tex": "\\newcommand{\\Bold}[1]{\\mathbf{#1}}\\frac{4}{3} \\, n^{3} + 3 \\, n^{2} + \\frac{5}{3} \\, n", "display": false}}︡
︠5392f721-0e4e-4d40-9a52-ea8e8f6b550ci︠
%html
<p>O problema de Siracusa:</p>
<p><a href="http://en.wikipedia.org/wiki/Collatz_conjecture">http://en.wikipedia.org/wiki/Collatz_conjecture</a></p>
<p>&nbsp;</p>
<p>$n\in \mathbb{N}$</p>
<p>$$ u_{n+1}= \frac{u_n}{2}$$&nbsp; se $u_n$ &eacute; par, e $$ u_{n+1}=3u_n + 1&nbsp; $$ se $u_n$ &eacute; &iacute;mpar.</p>

︡062392c9-4e3c-4b5a-8acd-aa5e3a3bbf6e︡{"html": "<p>O problema de Siracusa:</p>\n<p><a href=\"http://en.wikipedia.org/wiki/Collatz_conjecture\">http://en.wikipedia.org/wiki/Collatz_conjecture</a></p>\n<p>&nbsp;</p>\n<p>$n\\in \\mathbb{N}$</p>\n<p>$$ u_{n+1}= \\frac{u_n}{2}$$&nbsp; se $u_n$ &eacute; par, e $$ u_{n+1}=3u_n + 1&nbsp; $$ se $u_n$ &eacute; &iacute;mpar.</p>"}︡
︠a08b896d-f373-46ea-8f51-7c2307cb1a3f︠
u = 6 ; n = 0
while u != 1 :
    if u % 2 == 0 :
        u = u/2
    else :
        u = 3*u+1
    n = n+1
n
︡964424ba-5b75-47a2-afae-32c2c56e0bcf︡{"stdout": "8"}︡
︠63b9d4cf-5c90-4440-be17-01445bf8df8f︠
not(is_odd(8))
︡a7fd7943-759e-44c2-8742-f8cebfc8a928︡{"stdout": "True"}︡
︠b961e91e-3130-449a-86da-7474a016a142︠
def siracusa(u):
    n = 0
    while u != 1 :
        if u % 2 == 0 :
            u = u/2
        else :
            u = 3*u+1
        n = n+1
    return n
︡224740d0-8f7e-402f-acdb-f59648f88a4b︡︡
︠ef9272d5-c30d-40bd-b0d1-3bfa8de7e87f︠
siracusa(60)
︡c78a4c59-d4d1-4b9e-81f5-2899805c2a24︡{"stdout": "19"}︡
︠be279ba5-c5cc-497f-81d6-9f9115431ab7︠
siracusa(10)
︡b40f499f-8b5e-44c4-b408-2cc161e920df︡{"stdout": "6"}︡
︠3f3e1c49-6130-4388-a312-29b1cf504c7f︠
[siracusa(k) for k in range(2,300)]
︡f9e4a9f3-2d02-450b-a4f5-35c4c20a7c30︡{"stdout": "[1, 7, 2, 5, 8, 16, 3, 19, 6, 14, 9, 9, 17, 17, 4, 12, 20, 20, 7, 7, 15, 15, 10, 23, 10, 111, 18, 18, 18, 106, 5, 26, 13, 13, 21, 21, 21, 34, 8, 109, 8, 29, 16, 16, 16, 104, 11, 24, 24, 24, 11, 11, 112, 112, 19, 32, 19, 32, 19, 19, 107, 107, 6, 27, 27, 27, 14, 14, 14, 102, 22, 115, 22, 14, 22, 22, 35, 35, 9, 22, 110, 110, 9, 9, 30, 30, 17, 30, 17, 92, 17, 17, 105, 105, 12, 118, 25, 25, 25, 25, 25, 87, 12, 38, 12, 100, 113, 113, 113, 69, 20, 12, 33, 33, 20, 20, 33, 33, 20, 95, 20, 46, 108, 108, 108, 46, 7, 121, 28, 28, 28, 28, 28, 41, 15, 90, 15, 41, 15, 15, 103, 103, 23, 116, 116, 116, 23, 23, 15, 15, 23, 36, 23, 85, 36, 36, 36, 54, 10, 98, 23, 23, 111, 111, 111, 67, 10, 49, 10, 124, 31, 31, 31, 80, 18, 31, 31, 31, 18, 18, 93, 93, 18, 44, 18, 44, 106, 106, 106, 44, 13, 119, 119, 119, 26, 26, 26, 119, 26, 18, 26, 39, 26, 26, 88, 88, 13, 39, 39, 39, 13, 13, 101, 101, 114, 26, 114, 52, 114, 114, 70, 70, 21, 52, 13, 13, 34, 34, 34, 127, 21, 83, 21, 127, 34, 34, 34, 52, 21, 21, 96, 96, 21, 21, 47, 47, 109, 47, 109, 65, 109, 109, 47, 47, 8, 122, 122, 122, 29, 29, 29, 78, 29, 122, 29, 21, 29, 29, 42, 42, 16, 29, 91, 91, 16, 16, 42, 42, 16, 42, 16, 60, 104, 104, 104, 42, 24, 29, 117, 117, 117, 117, 117, 55, 24, 73, 24, 117]"}︡
︠7bf699c8-187f-4e1a-940e-bd447bf270bd︠
def fact1 (n) :
    res = 1
    for k in [1..n] :
        res = res*k
    return res
︡64100a75-072e-42a5-a70c-fbef319757d4︡︡
︠097ae90c-c038-4bd2-963b-2468c0cecc11︠
fact1(10)
︡49fa7eac-4297-4540-9ad3-32018540fb41︡{"stdout": "3628800"}︡
︠7dfa8416-625d-405f-a3f2-297b6c4382b2︠
def fact2(n):
    if n==0 :
        return 1
    else :
        return n*fact2(n-1)
︡c30ad0d5-53a5-4219-acbb-8ce7d2447f21︡︡
︠afa51e76-19b2-4f9c-8fc5-fceb3b6e64f8︠
fact2(10)
︡15b2d291-620e-4918-a6dc-a0efb68a1770︡{"stdout": "3628800"}︡
︠0c0a673d-247c-4233-80d7-e8ed605c01d6i︠
%html
<p>Voltando &agrave;s listas...</p>

︡61acf019-c421-417f-8ec5-9b0a81a2a835︡{"html": "<p>Voltando &agrave;s listas...</p>"}︡
︠01fec301-62f1-4999-a8fb-7b334630303d︠
L=[0,11,22,33,44,55]
︡7ad5240b-bc16-453c-8651-0f3c59011cf6︡︡
︠795b6d86-b73c-4c64-8a8c-f40feb9eaf46︠
L[-1]; L[-2]; L[-3]
︡7fcc46bf-c600-4ffa-87a0-197041d5cc96︡{"stdout": "55\n44\n33"}︡
︠701e4f3d-c814-44b0-a98c-f1f9eba34646︠
L[2:4]; L[-4:4]; L[2:-2]
︡afce192e-dd53-4c58-8902-ee65b5ff96e5︡{"stdout": "[22, 33]\n[22, 33]\n[22, 33]"}︡
︠ac898aa3-e5e8-4ec6-b1f1-8c4dbfb5ea16︠
L[:4]; L[4:]
︡6222d078-34a6-459e-b6ed-062d648efcc1︡{"stdout": "[0, 11, 22, 33]\n[44, 55]"}︡
︠524c87d9-cd4b-4339-8f17-ec26d4453003︠
L[2:6] = [12,13,14]
︡bbf7d5b9-a9d3-4f6c-8682-61bf5e5efe1d︡︡
︠3db3fb17-f0c3-48d5-8148-041773573050︠
L
︡a79df5ca-8ddc-4698-92f1-3ae7e0efc960︡{"stdout": "[0, 11, 12, 13, 14]"}︡
︠32e8a67d-8564-441f-8d58-37a5dfe1633e︠
L=L + [1,2,3]
L
︡522346c6-334e-4668-9ba1-73d0b103d15d︡{"stdout": "[0, 11, 12, 13, 14, 1, 2, 3]"}︡
︠817b8e4a-1ee7-49a3-a3fc-0c6f2e877e12︠
L=[0..20]
L
︡d7f19f40-fd09-49d3-b2b1-80711dd546ac︡{"stdout": "[0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20]"}︡
︠8356c012-883f-4d7c-965e-6c0c648b3301︠
L[1:20:3]
︡6f300f3f-3fac-4085-b830-3b439ae42579︡{"stdout": "[1, 4, 7, 10, 13, 16, 19]"}︡
︠247ba597-61b7-4078-9214-5aafaa1fbede︠
[[x,y] for x in [1..2] for y in [6..9]]
︡d8555f2e-c9d2-454d-98cd-fd7ec9d7fab2︡{"stdout": "[[1, 6], [1, 7], [1, 8], [1, 9], [2, 6], [2, 7], [2, 8], [2, 9]]"}︡
︠0d0bc9a7-9747-46bb-8565-8814a0c98523︠
L=[1,8,5,2,9] ; L.reverse() ; L
︡c4241e54-087e-4b23-8afb-e329106e8df6︡{"stdout": "[9, 2, 5, 8, 1]"}︡
︠8067e0ce-c3e5-46d1-ae50-572b77a57514︠
L.sort() ; L
︡569c8ae8-37c8-44fc-9b7c-e81b34b0f4ec︡{"stdout": "[1, 2, 5, 8, 9]"}︡
︠a60949f7-3401-4d3f-8553-90b85d3e6629︠
L.sort(reverse=True) ; L
︡0f85273a-5c77-4068-855a-fe7aef0eda28︡{"stdout": "[9, 8, 5, 2, 1]"}︡
︠73ec1c12-f28e-4586-8f09-24fa1b2ab750︠

︡c0fa5bbe-ba57-4b53-a566-f9714865d50f︡
︠6215b56f-e51d-4978-af6a-93ade1922d2fi︠
%html
<p>Definindo estruturas int mod</p>

︡2487578f-8cf3-466e-bea4-7cbabb9ddc04︡{"html": "<p>Definindo estruturas int mod</p>"}︡
︠442a6738-8874-4d22-b8cc-fba15d1f5d47︠
n=12^31+1;
p=next_prime(n); p
︡88549a75-99f7-442a-8897-33032efa568d︡{"stdout": "2848515765597237675947403497177093"}︡
︠8f2faff0-eccd-40e4-ac95-ce1285acdfec︠
2^(p-1)
︡a7235e9c-e6a5-476d-9c7e-f804d157baf4︡{"stderr": "Traceback (most recent call last):\n  File \"<stdin>\", line 1, in <module>\n  File \"_sage_input_66.py\", line 10, in <module>\n    exec compile(u'open(\"___code___.py\",\"w\").write(\"# -*- coding: utf-8 -*-\\\\n\" + _support_.preparse_worksheet_cell(base64.b64decode(\"Ml4ocC0xKQ==\"),globals())+\"\\\\n\"); execfile(os.path.abspath(\"___code___.py\"))' + '\\n', '', 'single')\n  File \"\", line 1, in <module>\n    \n  File \"/tmp/tmpavKuuw/___code___.py\", line 3, in <module>\n    exec compile(u'_sage_const_2 **(p-_sage_const_1 )' + '\\n', '', 'single')\n  File \"\", line 1, in <module>\n    \n  File \"integer.pyx\", line 1986, in sage.rings.integer.Integer.__pow__ (sage/rings/integer.c:14002)\nRuntimeError: exponent must be at most 2147483647"}︡
︠29e09745-b14c-41cf-b144-1a2376f54e98︠
Zp=IntegerModRing(p); Zp
︡cb11db5b-7b16-47f2-b405-85a74f45e548︡{"stdout": "Ring of integers modulo 2848515765597237675947403497177093"}︡
︠a8075ba1-8e0d-41a0-af19-b7f4d9b31094︠
Zp.is_field()
︡11995346-3c7c-43a9-8ac2-08cd92b6f370︡{"stdout": "True"}︡
︠c326ad75-260e-44b7-9a37-63cb97dc95ea︠
a=Zp(2)
︡36390755-67fe-4d90-b158-3aa3be4ec5a3︡︡
︠fc0cb4ba-4ffc-4dbb-8d85-d17268f218a1︠
1/a
︡0401b840-4200-47c1-99e7-4be085da1601︡{"stdout": "1424257882798618837973701748588547"}︡
︠0abba786-1891-4ba2-973a-595b5a12041f︠
a^(p-1) # Pequeno Teorema de Fermat
︡67800d50-3861-4c64-81c0-fead5ae31dbf︡{"stdout": "1"}︡
︠2e5d3864-4964-4a46-be11-443a2e232071︠
n=35
Zn=IntegerModRing(n)
︡e8de2473-7dee-4000-8a68-15f049364c1d︡︡
︠de905831-36b1-460a-a8e5-457545d1819f︠
Zn.is_field()
︡e380ece9-cf3b-47ed-8c88-4947f25863e8︡{"stdout": "False"}︡
︠d4dd0e04-e8ec-41f3-9173-8bbf0a4d522f︠
b=Zn(15)
︡6687b8e1-c5c9-458c-a1cd-ad100edb2836︡︡
︠a8a09bd3-6d4c-4c8b-b97b-dc5a98d32ae3︠
1/b
︡c9dfb9dd-e38d-4acc-a8b9-d8ea94144355︡{"stderr": "Traceback (most recent call last):\n  File \"<stdin>\", line 1, in <module>\n  File \"_sage_input_76.py\", line 10, in <module>\n    exec compile(u'open(\"___code___.py\",\"w\").write(\"# -*- coding: utf-8 -*-\\\\n\" + _support_.preparse_worksheet_cell(base64.b64decode(\"MS9i\"),globals())+\"\\\\n\"); execfile(os.path.abspath(\"___code___.py\"))' + '\\n', '', 'single')\n  File \"\", line 1, in <module>\n    \n  File \"/tmp/tmptq2_sH/___code___.py\", line 3, in <module>\n    exec compile(u'_sage_const_1 /b' + '\\n', '', 'single')\n  File \"\", line 1, in <module>\n    \n  File \"element.pyx\", line 1813, in sage.structure.element.RingElement.__div__ (sage/structure/element.c:15221)\n  File \"coerce.pyx\", line 804, in sage.structure.coerce.CoercionModel_cache_maps.bin_op (sage/structure/coerce.c:7326)\n  File \"element.pyx\", line 1811, in sage.structure.element.RingElement.__div__ (sage/structure/element.c:15200)\n  File \"integer_mod.pyx\", line 2442, in sage.rings.finite_rings.integer_mod.IntegerMod_int._div_ (sage/rings/finite_rings/integer_mod.c:22867)\nZeroDivisionError: Inverse does not exist."}︡
︠8a14fcca-d214-4f66-bfe8-7cd11417679f︠
gcd(b,n)
︡09cbb879-d8e2-47f1-835c-3287921a3599︡{"stdout": "5"}︡
︠c64ffe13-6295-4fab-ad26-9370d23c3ac4︠
gcd(8,n)
︡593a07e4-5027-4602-a378-a040472f045d︡{"stdout": "1"}︡
︠1701099f-eccd-4d20-947c-01a10ab511cc︠
a=Zn(8)
︡8b195f4c-997b-4a76-b88d-2516844a3eaa︡︡
︠0a9016e6-df35-4910-abc1-95d19904739f︠
a^(euler_phi(n))
︡2a89a806-14da-47bd-a904-52867b6eae84︡{"stdout": "1"}︡
︠ae38ca81-0652-4bc6-8ef6-3c98db4dc671︠
2.powermod(n-1,n)
︡6be29f33-918d-4033-b6af-572bc22e62f6︡{"stdout": "9"}︡
︠491282cc-cd70-4ef3-b657-96afc5ed04f4︠
def listaP(m):
    lista=[n for n in range(2,m) if is_prime(n)]
    return lista
︡ef5137b1-a3fe-471a-96f7-7b9dce9300c2︡︡
︠114a9134-691f-4553-abb5-1e312a88a46b︠
listaP(50)
︡5d12e604-03d7-4ebe-817a-939e4c6713f0︡{"stdout": "[2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37, 41, 43, 47]"}︡
︠e80cada0-803a-474e-8f67-8e895a5d58df︠
P=Primes(); P
︡77d917c3-3403-4580-9356-82d69cee8fe3︡{"stdout": "Set of all prime numbers: 2, 3, 5, 7, ..."}︡
︠7c0793c2-07dd-4ece-94c2-394eae47f9ff︠
gemeos=[[n,n+2] for n in range(2,200) if n in P and n+2 in P]; gemeos
︡d74c518b-a47b-4bd9-bada-77bcf6b788ae︡{"stdout": "[[3, 5], [5, 7], [11, 13], [17, 19], [29, 31], [41, 43], [59, 61], [71, 73], [101, 103], [107, 109], [137, 139], [149, 151], [179, 181], [191, 193], [197, 199]]"}︡
︠7c46abfe-73d0-48f6-b3ab-d4446ed15d9f︠
def gemeos(m):
    P=Primes()
    lista=[[n,n+2] for n in range(2,m) if n in P and n+2 in P]
    return lista, len(lista)
︡819e0590-32bb-4969-a7ee-dc148200dec2︡︡
︠8057ced1-644c-415f-8a4b-1c2fb1d7b221︠
gemeos(20000)
︡d45a0d13-b1fd-4640-92a8-f4c0b212f043︡{"stdout": "([[3, 5], [5, 7], [11, 13], [17, 19], [29, 31], [41, 43], [59, 61], [71, 73], [101, 103], [107, 109], [137, 139], [149, 151], [179, 181], [191, 193], [197, 199], [227, 229], [239, 241], [269, 271], [281, 283], [311, 313], [347, 349], [419, 421], [431, 433], [461, 463], [521, 523], [569, 571], [599, 601], [617, 619], [641, 643], [659, 661], [809, 811], [821, 823], [827, 829], [857, 859], [881, 883], [1019, 1021], [1031, 1033], [1049, 1051], [1061, 1063], [1091, 1093], [1151, 1153], [1229, 1231], [1277, 1279], [1289, 1291], [1301, 1303], [1319, 1321], [1427, 1429], [1451, 1453], [1481, 1483], [1487, 1489], [1607, 1609], [1619, 1621], [1667, 1669], [1697, 1699], [1721, 1723], [1787, 1789], [1871, 1873], [1877, 1879], [1931, 1933], [1949, 1951], [1997, 1999], [2027, 2029], [2081, 2083], [2087, 2089], [2111, 2113], [2129, 2131], [2141, 2143], [2237, 2239], [2267, 2269], [2309, 2311], [2339, 2341], [2381, 2383], [2549, 2551], [2591, 2593], [2657, 2659], [2687, 2689], [2711, 2713], [2729, 2731], [2789, 2791], [2801, 2803], [2969, 2971], [2999, 3001], [3119, 3121], [3167, 3169], [3251, 3253], [3257, 3259], [3299, 3301], [3329, 3331], [3359, 3361], [3371, 3373], [3389, 3391], [3461, 3463], [3467, 3469], [3527, 3529], [3539, 3541], [3557, 3559], [3581, 3583], [3671, 3673], [3767, 3769], [3821, 3823], [3851, 3853], [3917, 3919], [3929, 3931], [4001, 4003], [4019, 4021], [4049, 4051], [4091, 4093], [4127, 4129], [4157, 4159], [4217, 4219], [4229, 4231], [4241, 4243], [4259, 4261], [4271, 4273], [4337, 4339], [4421, 4423], [4481, 4483], [4517, 4519], [4547, 4549], [4637, 4639], [4649, 4651], [4721, 4723], [4787, 4789], [4799, 4801], [4931, 4933], [4967, 4969], [5009, 5011], [5021, 5023], [5099, 5101], [5231, 5233], [5279, 5281], [5417, 5419], [5441, 5443], [5477, 5479], [5501, 5503], [5519, 5521], [5639, 5641], [5651, 5653], [5657, 5659], [5741, 5743], [5849, 5851], [5867, 5869], [5879, 5881], [6089, 6091], [6131, 6133], [6197, 6199], [6269, 6271], [6299, 6301], [6359, 6361], [6449, 6451], [6551, 6553], [6569, 6571], [6659, 6661], [6689, 6691], [6701, 6703], [6761, 6763], [6779, 6781], [6791, 6793], [6827, 6829], [6869, 6871], [6947, 6949], [6959, 6961], [7127, 7129], [7211, 7213], [7307, 7309], [7331, 7333], [7349, 7351], [7457, 7459], [7487, 7489], [7547, 7549], [7559, 7561], [7589, 7591], [7757, 7759], [7877, 7879], [7949, 7951], [8009, 8011], [8087, 8089], [8219, 8221], [8231, 8233], [8291, 8293], [8387, 8389], [8429, 8431], [8537, 8539], [8597, 8599], [8627, 8629], [8819, 8821], [8837, 8839], [8861, 8863], [8969, 8971], [8999, 9001], [9011, 9013], [9041, 9043], [9239, 9241], [9281, 9283], [9341, 9343], [9419, 9421], [9431, 9433], [9437, 9439], [9461, 9463], [9629, 9631], [9677, 9679], [9719, 9721], [9767, 9769], [9857, 9859], [9929, 9931], [10007, 10009], [10037, 10039], [10067, 10069], [10091, 10093], [10139, 10141], [10271, 10273], [10301, 10303], [10331, 10333], [10427, 10429], [10457, 10459], [10499, 10501], [10529, 10531], [10709, 10711], [10859, 10861], [10889, 10891], [10937, 10939], [11057, 11059], [11069, 11071], [11117, 11119], [11159, 11161], [11171, 11173], [11351, 11353], [11489, 11491], [11549, 11551], [11699, 11701], [11717, 11719], [11777, 11779], [11831, 11833], [11939, 11941], [11969, 11971], [12041, 12043], [12071, 12073], [12107, 12109], [12161, 12163], [12239, 12241], [12251, 12253], [12377, 12379], [12539, 12541], [12611, 12613], [12821, 12823], [12917, 12919], [13001, 13003], [13007, 13009], [13217, 13219], [13337, 13339], [13397, 13399], [13679, 13681], [13691, 13693], [13709, 13711], [13721, 13723], [13757, 13759], [13829, 13831], [13877, 13879], [13901, 13903], [13931, 13933], [13997, 13999], [14009, 14011], [14081, 14083], [14249, 14251], [14321, 14323], [14387, 14389], [14447, 14449], [14549, 14551], [14561, 14563], [14591, 14593], [14627, 14629], [14867, 14869], [15137, 15139], [15269, 15271], [15287, 15289], [15329, 15331], [15359, 15361], [15581, 15583], [15641, 15643], [15647, 15649], [15731, 15733], [15737, 15739], [15887, 15889], [15971, 15973], [16061, 16063], [16067, 16069], [16139, 16141], [16187, 16189], [16229, 16231], [16361, 16363], [16451, 16453], [16631, 16633], [16649, 16651], [16691, 16693], [16829, 16831], [16901, 16903], [16979, 16981], [17027, 17029], [17189, 17191], [17207, 17209], [17291, 17293], [17387, 17389], [17417, 17419], [17489, 17491], [17579, 17581], [17597, 17599], [17657, 17659], [17681, 17683], [17747, 17749], [17789, 17791], [17837, 17839], [17909, 17911], [17921, 17923], [17957, 17959], [17987, 17989], [18041, 18043], [18047, 18049], [18059, 18061], [18119, 18121], [18131, 18133], [18251, 18253], [18287, 18289], [18311, 18313], [18521, 18523], [18539, 18541], [18911, 18913], [18917, 18919], [19079, 19081], [19139, 19141], [19181, 19183], [19211, 19213], [19379, 19381], [19421, 19423], [19427, 19429], [19469, 19471], [19541, 19543], [19697, 19699], [19751, 19753], [19841, 19843], [19889, 19891], [19961, 19963], [19991, 19993]], 342)"}︡









